/* The TestUnitTable class.
 *
 * Copyright 2004-2008 Johan Elf, David Fange, Johan Hattne
 *
 * This file is part of MesoRD.
 *
 * MesoRD is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * MesoRD is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MesoRD; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 * 
 * $Id: TestUnitTable.hpp 550 2008-05-07 14:24:19Z davidfange $
 */
#ifndef MESORD_TESTUNITTABLE_H
#define MESORD_TESTUNITTABLE_H 1

#include <cppunit/extensions/HelperMacros.h>

#include "../src/UnitTable.hpp"
#include <sbml/SBMLReader.h>

class TestUnitTable : public CppUnit::TestFixture
{
  CPPUNIT_TEST_SUITE( TestUnitTable );
  CPPUNIT_TEST( testConstructor );
  CPPUNIT_TEST( testGetLengthUnits );  
  CPPUNIT_TEST_SUITE_END();
 
private:

  Model* m;

public:
  void setUp();
  void tearDown();

  void testConstructor();
  void testGetLengthUnits();
        
};

#endif  // MESORD_TESTUNITTABLE_H
